package p.studio.compiler.source.tables;

import p.studio.compiler.source.identifiers.HostBindingId;

public class HostBindingTable extends InternTable<HostBindingId, HostBindingRef> {

    public HostBindingTable() {
        super(HostBindingId::new);
    }

    public HostBindingId register(
            final String module,
            final String name,
            final long version) {
        return register(new HostBindingRef(module, name, version));
    }
}
